package nl.uvt.locator;

import java.util.Properties;

import nu.xom.Document;

public class AvailabilityConnection {

	Document query( String epn ) throws LocatorException {
		Document result = null;
		String url = Locator.locatorConfig.getProperty("availabilityUri");
		// send getAvailability requests to a capable mps 
		try {
			Properties prop = new Properties();
			prop.setProperty("id", epn );
			prop.setProperty("id_type", "bib" );
			url = HttpConnection.createUrlString(url, prop );
			Locator.logger.debug("Try URL: " + url );
			result = HttpConnection.httpGetDocument( url, Locator.httpConfig );
//					Locator.logger.debug( "availability doc:" + result.toXML());
			}					
		catch ( Exception e) {
			throw new LocatorException( "Availability URL: '" + url + "' failed"); 
		}
		return result;
	}

}
